* {
    font-family: "Roboto Slab", "sans-serif";
    font-size: 16px;
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
}

/* Change the white to any color */

/* input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px #381f1f inset !important;
    -webkit-text-fill-color: #ffffff !important;
    background-color:transparent;
} */

html, body {
    width: 100%;
    height: 100%;
    overflow: hidden;
    background: #000;
    transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
}

#body {
    position: relative;
    width: 1920px;
    height: 980px;
    background: url("../images/bg-min-3.jpg") top left no-repeat;
    transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    -webkit-transform-origin: 0 0;
    display: flex;
    flex-wrap: nowrap;
}

.color-yellow {
    color: #fee53a;
}

.text-center {
    text-align: center;
}

/*text*/

.navbar-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 40px;
    margin-top: 275px;
}

.navbar-container_item {
    margin-bottom: 50px;
}

#logo {
    position: absolute;
    right: 432px;
    top: 45px;
    z-index: 3;
}

#logo img {
    width: 154px;
}

#text-h1 {
    position: absolute;
    top: 765px;
    left: 755px;
    width: 409px;
    height: 54px;
}

#text-h2 {
    position: absolute;
    top: 815px;
    left: 627px;
    width: 652px;
    height: 75px;
}

#text-h1 img {
    width: 100%;
}

#text-h2 img {
    width: 100%;
}

/*menu*/

#menu {
    position: relative;
    /* left: 385px;
    top: 191px; */
    list-style: none;
    /* width: 224px; */
}

#menu li {
    float: left;
    margin: 1px 1px;
}

#menu li a {
    display: block;
    width: 104px;
    height: 52px;
    float: left;
    text-indent: -99999px;
}

#menu li:nth-child(1) {
    background: url("../images/menu-top.png") top left no-repeat;
}
#menu li:nth-child(1):hover {
    background: url("../images/menu-top.png") bottom left no-repeat;
}
#menu li:nth-child(2) {
    background: url("../images/menu-top.png") top center no-repeat;
}
#menu li:nth-child(2):hover {
    background: url("../images/menu-top.png") bottom center no-repeat;
}
#menu li:nth-child(3) {
    background: url("../images/menu-top.png") top right no-repeat;
}
#menu li:nth-child(3):hover {
    background: url("../images/menu-top.png") bottom right no-repeat;
}


/*menu-bot*/

.menu-bot-image {
    position: relative;
}

#menu-bot {
    position: relative;
    list-style: none;
    width: 337px;
    height: 99px;
    display: flex;
}

#menu-bot a {
    display: block;
    width: 112px;
    text-indent: -99999px;
    float: left;
    text-align: center;
    text-decoration: none;
}

#menu-bot a.rules {
    background: url("../images/menu-bot.png") top left;
}

#menu-bot a.spin {
    background: url("../images/menu-bot.png") top center;
}

#menu-bot a.gift-exchange {
    background: url("../images/menu-bot.png") top right;
}

#menu-bot a.rules:hover, #menu-bot a.rules.active {
    background-position: bottom left;
}

#menu-bot a.spin:hover, #menu-bot a.spin.active {
    background-position: bottom center;
}

#menu-bot a.gift-exchange:hover, #menu-bot a.gift-exchange.active {
    background-position: bottom right;
}

/*menu left*/

#menu-left {
    position: relative;
    list-style: none;
    display: flex;
    flex-flow: wrap;
    width: 340px;
    padding-left: 27px;
}

#menu-left li {
    margin-bottom: 25px;
}

#menu-left a {
    display: block;
    width: 257px;
    height: 82px;
    text-indent: -99999px;
    text-align: center;
    text-decoration: none;
    background: url(../images/menu-left-3.png) no-repeat;
    background-size: 200% 400%;
}

#menu-left a.rules {
    background-position:  top left;
}

#menu-left a.spin {
    background-position:  left -82px;
}

#menu-left a.gift-exchange {
    background-position:  left -164px;
}

#menu-left a.ranking {
    background-position: left bottom;
}

#menu-left a:hover,
#menu-left a.active {
    background-position-x: right;
}

/*no login*/

#no-login {
    position: relative;
    width: 365px;
    height: 118px;
    background-image: url("../images/bg-login-min-3.png");
}

#no-login:hover {
    background-position: bottom right;
}

/*login*/

#user-info {
    position: relative;
    width: 365px;
    padding-left: 40px;
    margin-bottom: 30px;
}

#user-info * {
    color: #fff;
    font-size: 20px;
    margin-right: 10px;
}

#user-info span.fullname-txt {
    color: #fefb00;
    font-size: 20px;
}

#user-info>div {
    position: relative;
    display: flex;
    align-items: center;
}

#user-info .reload {
    display: flex;
    align-items: center;
}

#user-info .reload:hover {
    opacity: 1;
}

#user-info .btn {
    display: block;
    position: absolute;
    width: 59px;
    height: 26px;
    top: 0;
    right: 0;
    text-align: center;
    text-transform: uppercase;
    text-decoration: none;
    font-size: 11px;
    font-weight: bold;
    color: #000;
    line-height: 20px;
    background: #fcd919;
    border: 3px solid #000;
}

#user-info .btn.btn-share {
    top: 13px;
}

#user-info .btn:hover {
    background: #ffe450
}

#user-info .logout {
    color: #30ff00;
    font-weight: 500;
}

/*useful link*/

.useful-link {
    width: 218px;
    height: 161px;
    text-align: left;
    text-indent: -9999px;
    position: absolute;
    background: url("../images/bg-menu-2-min.png") no-repeat;
    background-size: 100% auto;
}

.useful-link-rule {
    top: 425px;
    left: 120px;
    background-position: 0px 0px;
}

.useful-link-rule:hover {
    background-position: 3px -322px;
}

.useful-link-play {
    top: 585px;
    left: 120px;
    background-position: 0px -158px;
}

.useful-link-play:hover {
    background-position: 3px -480px;
}

.useful-link-gift {
    top: 425px;
    left: 331px;
    background-position: 0px -646px;
}

.useful-link-gift:hover {
    background-position: 0px -968px;
}

.useful-link-history {
    top: 585px;
    left: 331px;
    background-position: 0px -805px;
}

.useful-link-history:hover {
    background-position: 0px -1127px;
}

/*main*/

#main {
    width: 100%;
    height: 100%;
    position: relative;
    padding-top: 170px;
}

/*popup*/

.popup {
    z-index: 1001;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
}

.popup.popup-update-profile {
    z-index: 1001;
}

.popup.popup-text {
    z-index: 1002;
}

.popup.popup-text .wrap {
    position: relative;
    width: 372px;
    height: 343px;
    margin: 0 auto;
    background: url("../images/popup-gift-min-3.png") top left no-repeat;
    display: flex;
    justify-content: center;
}

.popup.popup-text .wrap .close {
    position: absolute;
    width: 82px;
    height: 56px;
    top: 80px;
    right: 0;
}

/* .popup.popup-histories .wrap .close, .popup.popup-text .wrap .close {
    position: absolute;
    width: 95px;
    height: 97px;
    top: -16px;
    right: 70px;
    text-align: left;
    text-indent: -9999px;
    background: url("../images/popup-gift-close-min-2.png") center center no-repeat;
} */

.popup.popup-histories .wrap .close:hover, .popup.popup-text .wrap .close:hover {
    opacity: 1;
}

.popup.popup-text .wrap .content {
    margin: 0;
    display: flex;
    vertical-align: middle;
    color: #505050;
    font-size: 20px;
    text-align: center;
    justify-content: center;
    padding: 10px;
    padding-top: 136px;
}

.popup.popup-text .wrap .content .title, .popup.popup-text .wrap .content .item, .popup.popup-text .wrap .content .item .item-num {
    font-size: 20px;
}

.popup.popup-text .wrap .content .item .item-num {
    color: #ff7900;
}

/*spin-wheel*/

.spin-wheel {
    cursor: pointer;
    width: 1145px;
    height: 100%;
    position: relative;
}

.spin-wheel_container {
    display: flex;
    background: url('../images/bg-playgame-3.png') top no-repeat;
    flex-direction: column;
    width: 978px;
    height: 715px;
    align-items: center;
    padding-left: 100px;
    padding-top: 55px;
}

.btn-play_list {
    display: flex;
    margin-top: 20px;
}

.btn-play_list .btn-play_item {
    width: 201px;
    height: 59px;
    display: block;
    background: url('../images/btn-play-2.png') no-repeat;
}

.btn-play_list .btn-play_item:nth-child(1) {
    background-position: left top;
}
.btn-play_list .btn-play_item:nth-child(2) {
    background-position: center top;
}
.btn-play_list .btn-play_item:nth-child(3) {
    background-position: right top;
}

.btn-play_list .btn-play_item:hover{
    background-position-y: bottom;
}

/*exchange*/
.exchange-container {
    width: 100%;
}

.exchange {
    display: flex;
    margin-top: 100px;
    padding-left: 65px;
    width: 990px;
    column-gap: 40px;
    row-gap: 15px;
    flex-wrap: wrap;
}

.exchange .gift-item{
    position: relative;
    float: left;
    width: 201px;
    height: 233px;
    background: url("../images/bg-gift-2.png") top left no-repeat;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-bottom: 50px;
}

.exchange .gift-item .point{
    text-align: center;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    line-height: 49px;
}
.exchange .gift-item .name{
    width: 114px;
    height: 24px;
    line-height: 22px;
    color: #2a649f;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: -1px;
}
.exchange .gift-item .wrap-image {
    margin-top: 17px;
    height: 130px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}
.exchange .gift-item .amount {
    color: #fff;
    font-size: 16px;
    line-height: 31px;
    text-transform: uppercase;
    font-weight: 500;
}
.exchange .gift-item .gift {
    width: 203px;
    height: 47px;
    text-decoration: none;
    background: url(../images/bg-btn-ex-3.png);
    background-size: 400% 400%;
    position: absolute;
    bottom: -50px;
}

.exchange .gift-item:nth-child(1) .gift {
    background-position: left top;
}

.exchange .gift-item:nth-child(2) .gift {
    background-position: -203px top;
}

.exchange .gift-item:nth-child(3) .gift {
    background-position: -406px top;
}

.exchange .gift-item:nth-child(4) .gift {
    background-position: right top;
}

.exchange .gift-item:nth-child(5) .gift {
    background-position: left -94px;
}

.exchange .gift-item:nth-child(6) .gift {
    background-position: -203px -94px;
}

.exchange .gift-item:nth-child(7) .gift {
    background-position: -406px -94px;
}

.exchange .gift-item:nth-child(8) .gift {
    background-position: right -94px;
}


.exchange .gift-item .gift.off{
    filter: grayscale(100%);
    cursor: not-allowed;
}

.exchange .gift-item:nth-child(1) .gift:hover,
.exchange .gift-item:nth-child(2) .gift:hover,
.exchange .gift-item:nth-child(3) .gift:hover,
.exchange .gift-item:nth-child(4) .gift:hover {
    background-position-y: -47px;
}

.exchange .gift-item:nth-child(5) .gift:hover,
.exchange .gift-item:nth-child(6) .gift:hover,
.exchange .gift-item:nth-child(7) .gift:hover,
.exchange .gift-item:nth-child(8) .gift:hover {
    background-position-y: bottom;
}

/*history*/

.history {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.tab {
    list-style: none;
    display: flex;
    justify-content: center;
    padding-top: 122px;
    margin-right: 34px;
    margin-bottom: 10px;
    gap: 5px;
}

.tab li {
    width: 204px;
    height: 54px;
    background: url("../images/btn-tab-his-3.png") no-repeat;
    background-size: 100% 200%;
    cursor: pointer;
}

.tab li:hover:nth-child(1) {
    background-position:  top;
}

.tab li:nth-child(2) {
    background-position: bottom;
}

.tab li:nth-child(2):hover,
.tab li.active {
    filter: grayscale(1);
}

.tab li a {
    text-decoration: none;
    display: block;
    height: 100%;
}

.tab li h3 {
    display: block;
    height: 44px;
    line-height: 36px;
    text-align: center;
    font-size: 13px;
    font-weight: normal;
    text-transform: uppercase;
}

.tab li.active, .tab li:hover {
    border-color: #864101;
}

.tab-content {
    display: none;
    width: 770px;
    height: 240px;
    margin: 0 auto;
    color: #fff;
}

.tab-content.active {
    display: block;
}

.tab-content table {
    width: 100%;
    text-align: center;
    border-spacing: 4px;
    border-collapse: separate;
}

.tab-content table thead {
    background: #ff6c00;
}

.tab-content table tbody {
    background: #e3e3e3;
}

.tab-content table th, .tab-content table td {
    padding: 5px;
    color: #000;
    font-weight: bold;
}

.tab-content table th {
    color: #fff;
    height: 43px;
}

.tab-wrap-content #tab1 th:nth-child(1) {
    width: 105px;
}

.tab-wrap-content #tab1 th:nth-child(2) {
    width: 241px;
}

.mCSB_scrollTools a+.mCSB_draggerContainer {
    margin: 0;
}

.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    width: 10px;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
}

.mCSB_scrollTools .mCSB_buttonDown, .mCSB_scrollTools .mCSB_buttonUp {
    display: none !important;
}

/*rule*/

.rule-container {
    width: 100%;
    height: 100%;
    margin-top: 63px;
}

.rule {
    width: 705px;
    height: 755px;
    text-align: justify;
    color: #fffea0;
    position: relative;
    padding-top: 273px;
    margin-left: 112px;
}

.rule h1, .rule h2, .rule h3, .rule h4, .rule h5, .rule h6 {
    color: #2f619a;
    margin-bottom: 10px;
}

.rule h1 {
    font-size: 20px;
}

.rule h2 {
    font-size: 19px;
}

.rule h3 {
    font-size: 18px;
}

.rule h4, .rule h5, .rule h6 {
    font-size: 16px;
}

.rule p, .rule div {
    margin-bottom: 10px;
}

/*popup update profile*/

.popup.popup-update-profile .wrap {
    position: absolute;
    width: 372px;
    height: 406px; 
    margin: 0 auto;
    top: 43%;
    transform: translateY(-50%);
}

.popup.popup-update-profile .wrap .content {
    width: 100%;
    height: 100%;
    padding: 126px 24px 10px 40px;
    background: url('../images/popup-info.png') no-repeat;
    background-size: 100%;
}

.popup.popup-update-profile .wrap .close {
    position: absolute;
    width: 82px;
    height: 56px;
    top: 80px;
    right: 0;
}

.popup.popup-histories .wrap .close {
    position: absolute;
    width: 82px;
    height: 75px;
    top: 18px;
    right: 18px;
}

.popup.popup-histories .content {
    background-image: url(../images/bg-history-3.png);
    position: relative;
    background-size: 100% auto;
    width: 861px;
    height: 478px;
    overflow: hidden;
}

.tab-wrap-content {
    position: relative;
    background-size: 100% auto;
    background-repeat: no-repeat;
    height: 100%;
    width: 819px;
    height: 616px;
}

.popup.popup-histories .wrap .content h6, .popup.popup-update-profile .wrap .content h6 {
    margin-bottom: 4px;
}

.popup.popup-histories .wrap .content .form-control, .popup.popup-update-profile .wrap .content .form-control {
    height: 26px;
    margin-bottom: 4px;
}

.popup.popup-histories.wrap .content .form-control.form-control-note, .popup.popup-update-profile .wrap .content .form-control.form-control-note {
    font-size: 14px;
    color: #c64617;
    height: fit-content;
}

.popup.popup-histories .wrap .content label, .popup.popup-update-profile .wrap .content label {
    line-height: 22px;
    width: 100px;
    display: inline-block;
    float: left;
    margin-top: 5px;
}

.popup.popup-histories .wrap .content input, .popup.popup-update-profile .wrap .content input {
    float: left;
    width: 208px;
    padding: 6px 0px 0px 0px;
    background: transparent;
    font-size: 16px;
    color: #6c6c6c;
    border: 0px;
    border-bottom: 1px solid #000;
    border-radius: 0;
}

.popup.popup-update-profile .wrap .content .form-control-submit {
    padding: 0;
    padding-right: 40px;
    display: flex;
    justify-content: center;
}

.popup.popup-update-profile .wrap .content .form-control-submit input {
    width: 158px;
    height: 42px;
    background: url(../images/btn-confirm.png) no-repeat 0 0 / 100% 100%;
    border: none;
    cursor: pointer;
}

.popup.popup-histories .wrap .content .select2-container, .popup.popup-update-profile .wrap .content .select2-container {
    width: 208px !important;
}

.dropdown-select-server .select2-results ul {
    width: 100%;
}

.popup.popup-histories .wrap .content .select2-container--default .select2-selection--single, .popup.popup-update-profile .wrap .content .select2-container--default .select2-selection--single {
    background: transparent;
    border: 0px;
    border-bottom: 1px solid #000;
    border-radius: 0;
}

.popup.popup-histories .wrap .content .select2-container .select2-selection--single .select2-selection__rendered, .popup.popup-update-profile .wrap .content .select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 0px;
    color: #000;
}

.popup.popup-histories .wrap .content .select2-container--default .select2-selection--single .select2-selection__arrow b, .popup.popup-update-profile .wrap .content .select2-container--default .select2-selection--single .select2-selection__arrow b {
    left: auto;
    right: 0;
    border-color: #ffffff transparent transparent transparent;
}

.popup.popup-histories .wrap .content .select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b, .popup.popup-update-profile .wrap .content .select2-container--default.select2-container--open .select2-selection--single .select2-selection__arrow b {
    border-color: transparent transparent #ffffff transparent;
}

.popup.popup-histories .wrap .content button, .popup.popup-update-profile .wrap .content button {
    background: #903224;
    border: 3px solid #000;
    padding: 5px 20px;
    cursor: pointer;
    text-transform: uppercase;
    margin-top: 35px;
    color: #ffee30;
    font-weight: bold;
}

.popup.popup-histories .wrap .content button:hover, .popup.popup-update-profile .wrap .content button:hover {
    background: #a74839;
}

#btn-histories {
    color: #fefb00;
    font-weight: 900;
    text-decoration: none;
}

#ranking {
    padding-top: 120px;
    padding-left: 90px;
}

#ranking table {
    padding-left: 105px;
    padding-top: 53px;
    width: 855px;
    background: url(../images/bg-ranking.png) no-repeat;
}

#ranking table thead {
    display: none;
}

#ranking table tbody tr {
    height: 48px;
}

#ranking table tbody td {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    font-size: 20px;
    color: #690100;
}

#ranking table tbody td:nth-child(1) {
    width: 515px;
    max-width: 515px;
    padding-right: 85px;
}

#ranking table tbody td:nth-child(2) {
    width: 230px;
    max-width: 230px;
}

#tab-content-rules {
    margin-top: 100px;
    padding-left: 72px;
    width: 935px;
    max-height: 635px;
}


.mCustomScrollbar .mCSB_scrollTools {
    width: 8px;
}

.mCustomScrollbar .mCSB_dragger .mCSB_dragger_bar {
    width: 8px;
    background-color: #d10006;
    border-radius: 8px;
}

.mCustomScrollbar .mCSB_scrollTools .mCSB_draggerRail {
    width: 8px;
    background-color: rgb(94, 20, 20);
}